import pygame as py
from pygame import draw, init
from time import sleep
from random import randint
global run
run = True
class inite():
	def update_and_wait(self, delay):
		start_time = py.time.get_ticks()
		while True:
			for event in py.event.get():
				if event.type == py.QUIT:
					print("auit")
					py.quit()
					return False
			if py.time.get_ticks() >= start_time + delay * 1000:
				break
		return True
	def __init__(self):
		init()
		self.clock = py.time.Clock()
		self.window = py.display.set_mode((1920, 1080), py.FULLSCREEN, display=0)
		font1 = py.font.SysFont("Arial", 48, True)
		font2 = py.font.SysFont("Arial", 100, True)
		self.text1 = font1.render("EU mi zakázala auto, tak ho jdu vyhodit a začnu být ECO.", True, (0, 0, 0))
		self.text2 = font2.render("Potřebuju nové auto.", True, (255, 25, 25))
		self.text3 = font2.render("Musím si nasbírat suroviny na bateryi.", True, (255, 25, 25))
		self.text4 = font1.render("Tak si zajedu na výlet do Brna.", True, (0, 0, 0))
		self.text5 = font1.render("A tak jsem po dlouhé cestě dorazil ecologicky do Brna.", True, (0, 0, 0))
		self.player1 = py.image.load("player1.png")
		self.obrazek_auta = py.image.load("auto.png")
		self.obrazek_zeleza = py.image.load("iron.png")
		self.obr_bat = py.image.load('baterka.png')
		self.obr_eauto = py.image.load('eauto.png')
		self.mapa = py.image.load('czmap.png')
		# global xxx
	def panacek(self, scale, pos_x: int, pos_y: int, hend_pos1: (int, int), hend_pos2: (int, int)):
		draw.line(self.window, (0, 0, 0), (pos_x + 50 * scale, pos_y + 50 * scale),
			 (pos_x + 50 * scale, pos_y + 125 * scale), 5 * scale) #Telo
		draw.circle(self.window, (0, 0, 0), (pos_x + 50 * scale, pos_y + 20 * scale), 30 * scale) #hlava
		draw.line(self.window, (0, 0, 0), (pos_x + 50 * scale, pos_y + 125),
			 (pos_x + 20 * scale, pos_y + 200 * scale), 5 * scale) #noha leva
		draw.line(self.window, (0, 0, 0), (pos_x + 50 * scale, pos_y + 125),
			 (pos_x + 80 * scale, pos_y + 200 * scale), 5 * scale) #noha prava
		draw.line(self.window, (0, 0, 0), (pos_x + 50, pos_y + 60), (list(hend_pos1)[0] * scale + pos_x, list(hend_pos1)[1] * scale + pos_y), 5 * scale) #ruka 1
		draw.line(self.window, (0, 0, 0), (pos_x + 50, pos_y + 60), (list(hend_pos2)[0] * scale + pos_x, list(hend_pos2)[1] * scale + pos_y), 5 * scale) #ruka 2
	
	def drawe(self):
		self.window.fill((0, 0, 0))
		draw.circle(self.window, (255, 255, 255), (50, 50), (10))
		self.window.blit(self.text1, (200, 100))
		
	
	def updatede(self):
		py.display.flip()
		
	def odhozeni_auta(self):
		self.window.fill((0, 200, 255))
		draw.rect(self.window, (0, 255, 50), ((0, 500), (self.window.get_width(), self.window.get_height())))
		a = 300
		draw.ellipse(self.window, (255, 255, 255), ((100+a, 10), (950+a, 250)))
		draw.polygon(self.window, (255, 255, 255), ((160+a, 160), (500+a, 240), (50+a, 300)))
		self.window.blit(self.text1, (200+a, 100))
		self.panacek(1, 250, 300, (10, 110), (90, 110))
		py.display.flip()
		sleep(4)
		for i in range(0, 2000, 50):
			self.window.fill((0, 200, 255))
			draw.rect(self.window, (0, 255, 50),((0, 700), (self.window.get_width(), self.window.get_height())))
			self.window.blit(py.transform.scale(self.obrazek_auta, (475, 200)), (1500-i, 520))
			py.display.flip()
			self.clock.tick(16)
		sleep(0.5)
		self.window.fill((0, 200, 255))
		self.window.blit(self.text2, (200, 400))
		py.display.flip()
		self.update_and_wait(1)
		self.window.fill((102, 51, 0))
		self.window.blit(self.text3, (200, 400))
		py.display.flip()
		
		sleep(2)
		
	def novy_auto(self):

		a = []
		x = 0
		run = True
		self.window.fill((102, 51, 0))
		for i in range(21):
			a.append(self.window.blit(py.transform.scale(self.obrazek_zeleza, (50, 50)), (randint(0, 2160), randint(0,1000))))
		while run:
			if x >= 5:
				run = False
			for ev in py.event.get():
				if ev.type == py.MOUSEBUTTONDOWN:
					b = draw.circle(self.window, (0, 0, 0), py.mouse.get_pos(), 1)
					if b.collidelistall(a):
						draw.circle(self.window, (102, 51, 0), py.mouse.get_pos(), 40)
						x += 1
			py.display.flip()
		self.window.fill("gray")
		self.window.blit(py.transform.scale(self.obr_bat, (512*2.5, 389*2.5)), (50, 50))
		py.display.flip()
		self.update_and_wait(1)
		self.window.fill((0, 255, 0))
		self.window.blit(py.transform.scale(self.obr_eauto, (1000, 501)), (600, 400))
		py.display.flip()
		self.update_and_wait(0.5)
		for i in range(0, 1000, 20):
			self.window.fill((0, 255, 0))
			self.window.blit(py.transform.scale(self.obr_eauto, (1000, 501)), (600, 400))
			self.window.blit(py.transform.scale(self.obr_bat, (512//5, 389//5)), (i, self.window.get_height()//2))
			py.display.flip()
			self.clock.tick(30)
	def konec(self):
		self.window.fill('white')
		self.window.blit(self.text4, (500, 500))
		py.display.flip()
		self.update_and_wait(2)
		self.window.blit(py.transform.scale(self.mapa, (self.window.get_width(), self.window.get_height())), (0, 0))
		py.display.flip()
		for i in range(0, 299, 2):
			self.window.blit(py.transform.scale(self.mapa, (self.window.get_width(), self.window.get_height())), (0, 0))
			self.window.blit(py.transform.scale(self.obr_eauto, (50, 25)), (628+i*(1227-628)//1000, 400+i*(822-400)//1000))
			py.display.flip()
			self.clock.tick(40)
			if i % 100 == 0:
				self.update_and_wait(1)
		self.window.fill((255, 255, 255))
		self.window.blit(self.text5, (600, 500))
		self.window.blit(py.transform.scale(self.player1, (3500, 3500)), (-1000, -400))
		py.display.flip()
		sleep(5)
		
'''










'''

a = inite()

a.odhozeni_auta()
a.novy_auto()
a.konec()

'''while run:
	for ev in py.event.get():
		if ev.type == py.QUIT:
			run = False
		if ev.type == py.MOUSEBUTTONDOWN:
			print(py.mouse.get_pos())
		if ev.type == py.MOUSEBUTTONUP:
			pass
	# update
	#a.updatede()
	# draw
	#a.drawe()
	
	a.clock.tick(32)'''
